import { createRouter, createWebHashHistory } from 'vue-router'

const routes = [
    {
        path: '/tumour',
        name: 'tumour',
        component: () => import(/* webpackChunkName: "page-tumour" */ '@/tumour/Tumour.vue'),
        children: [
            {
                path: 'screening/simple/form',
                name: 'tumour-screening-simple-form',
                component: () => import(/* webpackChunkName: "page-tumour-screening-form" */ '@/tumour/screening/simpleV2/form/Index.vue')
            },
            {
                path: 'screening/simple/detail',
                name: 'tumour-screening-simple-detail',
                component: () => import(/* webpackChunkName: "page-tumour-screening-detail" */ '@/tumour/screening/simpleV2/detail/Detail.vue')
            },
            {
                path: 'screening/simple/list',
                name: 'tumour-screening-simple-list',
                component: () => import(/* webpackChunkName: "page-tumour-screening-list" */ '@/tumour/screening/simpleV2/list/List.vue')
            },
            {
                path: 'visit/detail',
                name: 'tumour-visit-detail',
                component: () => import(/* webpackChunkName: "page-tumour-visit" */ '@/tumour/visit/detail/Detail.vue')
            }
        ]
    }
]

const router = createRouter({
  history: createWebHashHistory(),
  routes
})

export default router
